<script setup>
import { RouterLink, RouterView } from 'vue-router'
import HelloWorld from './components/HelloWorld.vue'
</script>

<template>
  <header>
    <nav class="top-nav">
      <RouterLink to="/">Home</RouterLink>
      <RouterLink to="/purchases">My Purchases</RouterLink>
      <RouterLink to="/cart">Cart</RouterLink> <!-- Dodajemo link za korpu -->
    </nav>
  </header>
  
  <div class="full-screen-container">
    <RouterView />
  </div>
</template>

<style scoped>
/* Navigacija na vrhu, centrirana */

.top-nav {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%; /* Puni širinu ekrana */
  text-align: center; /* Centriranje linkova */
  background-color: rgb(255, 255, 255); /* Pozadinska boja za vidljivost */
  padding: 10px ; /* Razmak unutar navigacije */
  z-index: 900; /* Obezbeđuje da navigacija bude iznad ostalih elemenata */
  box-shadow: 0 4px 2px -2px gray; /* Dodavanje blagog senčenja ispod navigacije */
}
.top-nav a {
  display: inline-block;
  margin: 0 20px; /* Razmak između linkova */
  color: #000;
  text-decoration: none;
  font-weight: bold;
}

.top-nav a:hover {
  text-decoration: underline; /* Efekat podvlačenja pri prelasku mišem */
}

.top-nav a.router-link-exact-active {
  color: #ff7f00; /* Boja aktivnog linka */
}

.full-screen-container {
  width: 100vw;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding-top: 50px; /* Razmak od vrha ekrana do sadržaja */
}

header {
  line-height: 1.0;
  max-height: 100vh;
}

/* Pomoćne klase za raspored */
@media (min-width: 1024px) {
  header {
    display: flex;
    place-items: center;
    padding-right: calc(var(--section-gap) / 2);
  }

  header .wrapper {
    display: flex;
    place-items: flex-start;
    flex-wrap: wrap;
  }

  nav {
    text-align: center;
    font-size: 1rem;
    padding: 1rem 0;
    margin-top: 1rem;
  }
}
</style>
